# Class WindowResizerComponent

#### Implements

- OnInit
- OnDestroy

- Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:40

#####
Index

### Constructors

constructor

### Properties

containerRef
height$
resizerRef
resizing$
width$
windowRef

### Methods

ngOnDestroy
ngOnInit

##
Constructors

### constructor

- new WindowResizerComponent(context: any): WindowResizerComponent

  #### Parameters

  - context: any

  #### Returns WindowResizerComponent

  - Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:57

##
Properties

### containerRef

containerRef: ElementRef<any>

- Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:42

### height$

height$: EventEmitter<string> = ...

- Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:51

### resizerRef

resizerRef: ElementRef<any>

- Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:46

### resizing$

resizing$: EventEmitter<boolean> = ...

- Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:53

### width$

width$: EventEmitter<string> = ...

- Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:49

### windowRef

windowRef: WindowRef<any>

- Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:44

##
Methods

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:63

### ngOnInit

- ngOnInit(): void

  A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:67